#include <stdlib.h>
#include <stdio.h>

#define MAX_SIZE 100

int main()
{
	int n, x, y, map[MAX_SIZE][MAX_SIZE], totpop, mindist, dist;
	
	scanf("%d", &n);
	
	while (n--)
	{
		scanf("%d %d", &x, &y);
		
		totpop = 0;
		
		for (int i=0; i<y; i++)
		{
			for (int j=0; j<x; j++)
			{
				scanf("%d", &(map[j][i]));
			}
		}
		
		mindist = 0x7fffffff;

		for (int i=0; i<y; i++)
		{
			for (int j=0; j<x; j++)
			{
				dist = 0;
				
				for (int ii=0; ii<y; ii++)
				{
					for (int jj=0; jj<x; jj++)
					{
						dist += (abs(ii-i) + abs(jj-j))*map[jj][ii];
					}
				}
				
				if (dist < mindist)
					mindist = dist;
			}
		}
		
		printf("%d blocks\n", mindist);
	}
}
